Subject: [PATCH 0/3] sis190 gigabit fixes(bug 9735,11149) and new phy - 2nd ed

From: Riccardo Ghetta <[email-masked]>
Date: Thu, 4 Jun 2009 21:04:40 +0200

Patches updated as requested. This time at least the day should be correct :-)

First patch is just cosmetic, to make easier to identify newer phys.
Second adds a new phy found on my Asus F5Sr laptop. It's an Atheros/Attansic
chip, but I wasn't able to identify it further.
The third patch should enable sis191 adapters to connect at Gb speeds
(at least, it does on my laptop). Also bumps the version number.
The gigabit check is a remix of SiS own GPL driver and forcedeth.

Riccardo Ghetta (3):
  sis190: better message on unknown PHY
  sis190: add new phy found on asus F5Sr laptop
  sis190: fix gigabit negotiation

 drivers/net/sis190.c |   53 +++++++++++++++++++++++++++++++++-----------------
 1 files changed, 35 insertions(+), 18 deletions(-)